%define pkg_name        Apache-AuthTicket
%define pkg_version     0.40
%define rpm_pkg_version 0.40
%define rpm_pkg_release 2.n0i.4


Summary:       Cookie based access module
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSCHOUT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Apache::AuthCookie) >= 3.0
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Apache::AuthCookie) >= 3.0}
%{!?_without_test:BuildRequires: perl(DBI)}
%{!?_without_test:BuildRequires: perl(Digest::MD5)}
%{!?_without_test:BuildRequires: perl(SQL::Abstract)}
%{!?_without_test:BuildRequires: perl(Test::More)}

%global perl_filter_req 'Apache'

%description
This package contains the Apache::TicketAccess module and the
Apache::TicketTool module.  These modules implement a cookie based
authentication system similar to the ticket access system described in the
mod_perl eagle book.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README sample/ TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.40-2.n0i.4
- mass rebuild

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.40-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.1
- version 0.31
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
